{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')} </span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Plugin aktivieren für Kategorien ab Level')}</span>
            </div>
            <select id="category_level" name="category_level" class="form-control">
                {for $cssLevel=1 to 10}
                    <Option {if $pluginConfig->category_level==$cssLevel} selected {/if} value="{$cssLevel}">{$cssLevel}</Option>
                {/for}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ab welcher Ebene die Artikel zusammengefasst werden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Plugin aktivieren für Kategorien ab Level')}</span>
            </div>
            <select id="onlyActiveAttribute" name="onlyActiveAttribute" class="form-control">
                    <option value="off" {if $pluginConfig->onlyActiveAttribute=='off'} selected {/if}>Kein zusätzlicher Filter</option>
                    <Option {if $pluginConfig->onlyActiveAttribute=='active'} selected {/if} value="active">Nur für aktiv markierte Kategorien anwenden</Option>
                    <Option {if $pluginConfig->onlyActiveAttribute=='inactive'} selected {/if} value="inactive">Alle, außer als inaktiv markierte Kategorien</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob die Funktion nur bei
bestimmten Kategorien angewendet werden soll. Dies lässt sich dann über das eigene Feld <b>artikel_list</b> steuern, mögliche Werte sind dann <b>active</b> / <b>inactive</b> ')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


            <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Sortierung der Artikel')}</span>
            </div>
            <select id="sortierung" name="sortierung" class="form-control">
                <Option {if $pluginConfig->sortierung=='off'} selected {/if} value="off">{__('Keine Sortierung verwenden)')}</Option>
                <Option {if $pluginConfig->sortierung=='ASC'} selected {/if} value="ASC">{__('Normale Sortierung aufsteigend)')}</Option>
                <Option {if $pluginConfig->sortierung=='DESC'} selected {/if} value="DESC">{__('Absteigende Sortierung')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie die Art der möglichen Sortierung an sofern Sie eine individuelle Sortierung verwenden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

